#!/bin/sh
# I hate shell scripts
# Picscript 1.2
# Mark Kamichoff <prox@prolixium.com>

# tolower()
for x in `ls`
	do
	if [ ! -f $x ]; then
	continue
	fi
	convert=`echo $x | tr '[A-Z]' '[a-z]'`
	if [ $convert != $x ]; then
	mv -i $x $convert
	fi
done

if [ ! -d thumbs ]; then
	echo "Making thumbs dir ... ";
	mkdir thumbs
fi

echo "Converting .jpg files ... ";
for x in `ls *.jpg`
	do
	if [ ! -f thumbs/$x ]; then
	echo -n "Converting $x ... ";
	convert -resize 160x120! $x +profile '*' thumbs/$x
	echo "done";
	fi
done

echo "Converting .png files ... ";
for x in `ls *.png`
	do
	if [ ! -f thumbs/$x ]; then
	echo -n "Converting $x ... ";
	convert -resize 160x120! $x +profile '*' thumbs/$x
	echo "done";
	fi
done

echo -n "Images in \"`pwd | cut -d / -f 2`\"" > descriptions.txt
echo >> descriptions.txt
echo >> descriptions.txt
ls -1 *.jpg *.png | awk '{ print $0; print "Label for "$0 }' >> descriptions.txt
#cat descriptions.txt | sed s/\.jpg// > desc.txt
#mv desc.txt descriptions.txt
